# EPT-2 Family

Jua's flagship state-of-the-art weather model was first released in April 2025. The EPT-2 family outperforms leading public AI weather models including Microsoft Aurora, DeepMind's GraphCast, ECMWF's AIFS, and our previous EPT-1.5 model.

* **EPT-2**: Our deterministic model for precise weather forecasting
* **EPT-2 Early**: Our early-dissemination model delivering forecasts ahead of the market
* **EPT-2e**: Our ensemble model for probabilistic weather forecasting, especially for the long term
* **EPT-2 RR**: Our rapid-refresh model for hourly global weather intelligence
* **EPT-2 HRRR**: Our high-resolution rapid-refresh model
* **EPT-2 Reasoning**: Our AI weather forecast model with active learning from live data

For more information on our EPT-2 family of models, take a look at our [EPT-2 Technical Report](https://arxiv.org/abs/2507.09703).

## EPT-2 Family Comparison

<table><thead><tr><th>Model</th><th>Update Frequency</th><th>Ensemble<select><option value="bWyG2zvUpykn" label="Yes" color="blue"></option><option value="5ME4rgE38zxn" label="No" color="blue"></option></select></th><th>Forecast Horizon</th><th data-type="checkbox">Global coverage</th></tr></thead><tbody><tr><td>EPT-2</td><td>4 updates/day</td><td><span data-option="5ME4rgE38zxn">No</span></td><td>20 days</td><td>true</td></tr><tr><td>EPT-2 Early</td><td>4 updates/day</td><td><span data-option="5ME4rgE38zxn">No</span></td><td>20 days</td><td>true</td></tr><tr><td>EPT-2e</td><td>4 updates/day + 1 daily 60 day</td><td><span data-option="bWyG2zvUpykn">Yes</span></td><td>60 days</td><td>true</td></tr><tr><td>EPT-2 RR</td><td>24 updates/day</td><td><span data-option="5ME4rgE38zxn">No</span></td><td>2 days</td><td>true</td></tr><tr><td>EPT-2 HRRR</td><td>24 updates/day</td><td><span data-option="bWyG2zvUpykn">Yes</span></td><td>2 days</td><td>false</td></tr><tr><td>EPT-2 Reasoning</td><td>4 updates/day</td><td><span data-option="5ME4rgE38zxn">No</span></td><td>20 days</td><td>true</td></tr></tbody></table>

## Live Forecast Data

* Global coverage for EPT-2, EPT-2 Early, EPT-2e, and EPT-2 RR
* European coverage for EPT-2 HRRR
* Four daily runs (00, 06, 12, 18 UTC) for EPT-2, EPT-2 Early, EPT-2e
* 24 hourly runs for EPT-2 RR and EPT-2 HRRR
* 2-day prediction horizon (EPT-2 RR, EPT-2 HRRR)
* 20-day prediction horizon (EPT-2, EPT-2 Early, EPT-2e)
* 60-day prediction horizon for the EPT-2e forecast at 00 UTC
* Real-time data access via [Python SDK](/python-sdk/weather/forecast.md) or [REST API](/api-v2/getting-started.md)

## Technical Specifications

### Coordinates

| **Name**              | **Description**                           | **Units**           |
| --------------------- | ----------------------------------------- | ------------------- |
| init\_time            | Initialization time of forecast at UTC    | Absolute time (UTC) |
| prediction\_timedelta | Lead time relative to initialization time | Timedelta           |
| latitude              | Latitudinal coordinate                    | Degrees true        |
| longitude             | Longitudinal coordinate                   | Degrees true        |

### Spatial Extent

<table><thead><tr><th width="120.3515625">Model</th><th width="120.01953125">Latitudes</th><th width="120.44140625">Longitudes</th><th width="174.859375">Grid Size</th><th>Resolution</th></tr></thead><tbody><tr><td>EPT-2</td><td>[90, -90)</td><td>[-180, 180)</td><td>2160x4320</td><td>0.081° (9 km)</td></tr><tr><td>EPT-2 Early</td><td>[90, -90)</td><td>[-180, 180)</td><td>1440x2880</td><td>0.125° (12 km)</td></tr><tr><td>EPT-2e</td><td>[90, -90)</td><td>[-180, 180)</td><td>720x1440</td><td>0.25° (25 km)</td></tr><tr><td>EPT-2 RR</td><td>[90, -90)</td><td>[-180, 180)</td><td>720x1440</td><td>0.25° (25 km)</td></tr><tr><td>EPT-2 HRRR</td><td>[36, 72]</td><td>[-15, 45]</td><td>721x1201</td><td>0.05° (5.5 km)</td></tr><tr><td>EPT-2 Reasoning</td><td>[90, -90)</td><td>[-180, 180)</td><td>2160x4320</td><td>0.081° (9 km)</td></tr></tbody></table>

### Available Weather Parameters

EPT-2 uses standardized variable naming conventions. For full details on the naming structure, see [Weather Variable Naming](/python-sdk/weather/naming.md).

{% hint style="info" %}
Wind speed at additional heights (20m, 40m, 60m, 80m, 120m, 140m, 160m, 180m, 200m) and air density at 2m are available from **March 1, 2026** onwards.
{% endhint %}

<table data-full-width="false"><thead><tr><th width="101.25390625">Code</th><th width="362.796875">API Name</th><th width="180.859375">Description</th><th>Units</th></tr></thead><tbody><tr><td>2t</td><td>air_temperature_at_height_level_2m</td><td>Air temperature at 2m</td><td>Kelvin</td></tr><tr><td>2d</td><td>dew_point_temperature_at_height_level_2m</td><td>Dew point temperature at 2m</td><td>Kelvin</td></tr><tr><td>r</td><td>relative_humidity_at_height_level_2m</td><td>Relative humidity at 2m</td><td>%</td></tr><tr><td>10si</td><td>wind_speed_at_height_level_10m</td><td>Horizontal wind speed at 10m</td><td>m s⁻¹</td></tr><tr><td>10wdir</td><td>wind_direction_at_height_level_10m</td><td>Horizontal wind direction at 10m</td><td>Degrees true</td></tr><tr><td>100si</td><td>wind_speed_at_height_level_100m</td><td>Horizontal wind speed at 100m</td><td>m s⁻¹</td></tr><tr><td>100wdir</td><td>wind_direction_at_height_level_100m</td><td>Horizontal wind direction at 100m</td><td>Degrees true</td></tr><tr><td>20si</td><td>wind_speed_at_height_level_20m</td><td>Horizontal wind speed at 20m</td><td>m s⁻¹</td></tr><tr><td>40si</td><td>wind_speed_at_height_level_40m</td><td>Horizontal wind speed at 40m</td><td>m s⁻¹</td></tr><tr><td>60si</td><td>wind_speed_at_height_level_60m</td><td>Horizontal wind speed at 60m</td><td>m s⁻¹</td></tr><tr><td>80si</td><td>wind_speed_at_height_level_80m</td><td>Horizontal wind speed at 80m</td><td>m s⁻¹</td></tr><tr><td>120si</td><td>wind_speed_at_height_level_120m</td><td>Horizontal wind speed at 120m</td><td>m s⁻¹</td></tr><tr><td>140si</td><td>wind_speed_at_height_level_140m</td><td>Horizontal wind speed at 140m</td><td>m s⁻¹</td></tr><tr><td>160si</td><td>wind_speed_at_height_level_160m</td><td>Horizontal wind speed at 160m</td><td>m s⁻¹</td></tr><tr><td>180si</td><td>wind_speed_at_height_level_180m</td><td>Horizontal wind speed at 180m</td><td>m s⁻¹</td></tr><tr><td>200si</td><td>wind_speed_at_height_level_200m</td><td>Horizontal wind speed at 200m</td><td>m s⁻¹</td></tr><tr><td>2rho</td><td>air_density_at_height_level_2m</td><td>Air density at 2m</td><td>kg m⁻³</td></tr><tr><td>msl</td><td>air_pressure_at_mean_sea_level</td><td>Mean Sea-level Pressure</td><td>Pa</td></tr><tr><td>lcc</td><td>cloud_area_fraction_at_entire_atmosphere_low_type</td><td>Low Cloud Cover</td><td>%</td></tr><tr><td>mcc</td><td>cloud_area_fraction_at_entire_atmosphere_medium_type</td><td>Medium Cloud Cover</td><td>%</td></tr><tr><td>hcc</td><td>cloud_area_fraction_at_entire_atmosphere_high_type</td><td>High Cloud Cover</td><td>%</td></tr><tr><td>tp</td><td>precipitation_amount_sum_1h</td><td>Total Precipitation</td><td>mm m⁻²</td></tr><tr><td>ssrd</td><td>surface_downwelling_shortwave_flux_sum_1h</td><td>Surface solar downward irradiance</td><td>J m⁻²</td></tr><tr><td>fdir</td><td>surface_direct_downwelling_shortwave_flux_sum_1h</td><td>Direct solar radiation at the surface</td><td>J m⁻²</td></tr><tr><td>z_500</td><td>geopotential_at_pressure_level_50000Pa</td><td>Geopotential</td><td>m² s⁻²</td></tr></tbody></table>

Note: The previous naming convention used in EPT-1.5 is deprecated. All new integrations should use the standardized naming shown above.

#### EPT-2 HRRR

EPT-2 HRRR produces a subset of the EPT-2 variables.

| Parameter Code | API Name                                                    | Description                           | Units        |
| -------------- | ----------------------------------------------------------- | ------------------------------------- | ------------ |
| 2t             | air\_temperature\_at\_height\_level\_2m                     | Air temperature at 2m                 | Kelvin       |
| 2d             | dew\_point\_temperature\_at\_height\_level\_2m              | Dew point temperature at 2m           | Kelvin       |
| r              | relative\_humidity\_at\_height\_level\_2m                   | Relative humidity at 2m               | %            |
| 10si           | wind\_speed\_at\_height\_level\_10m                         | Horizontal wind speed at 10m          | m s⁻¹        |
| 10wdir         | wind\_direction\_at\_height\_level\_10m                     | Horizontal wind direction at 10m      | Degrees true |
| 100si          | wind\_speed\_at\_height\_level\_100m                        | Horizontal wind speed at 100m         | m s⁻¹        |
| 100wdir        | wind\_direction\_at\_height\_level\_100m                    | Horizontal wind direction at 100m     | Degrees true |
| 20si           | wind\_speed\_at\_height\_level\_20m                         | Horizontal wind speed at 20m          | m s⁻¹        |
| 40si           | wind\_speed\_at\_height\_level\_40m                         | Horizontal wind speed at 40m          | m s⁻¹        |
| 60si           | wind\_speed\_at\_height\_level\_60m                         | Horizontal wind speed at 60m          | m s⁻¹        |
| 80si           | wind\_speed\_at\_height\_level\_80m                         | Horizontal wind speed at 80m          | m s⁻¹        |
| 120si          | wind\_speed\_at\_height\_level\_120m                        | Horizontal wind speed at 120m         | m s⁻¹        |
| 140si          | wind\_speed\_at\_height\_level\_140m                        | Horizontal wind speed at 140m         | m s⁻¹        |
| 160si          | wind\_speed\_at\_height\_level\_160m                        | Horizontal wind speed at 160m         | m s⁻¹        |
| 180si          | wind\_speed\_at\_height\_level\_180m                        | Horizontal wind speed at 180m         | m s⁻¹        |
| 200si          | wind\_speed\_at\_height\_level\_200m                        | Horizontal wind speed at 200m         | m s⁻¹        |
| 2rho           | air\_density\_at\_height\_level\_2m                         | Air density at 2m                     | kg m⁻³       |
| msl            | air\_pressure\_at\_mean\_sea\_level                         | Mean Sea-level Pressure               | Pa           |
| lcc            | cloud\_area\_fraction\_at\_entire\_atmosphere\_low\_type    | Low Cloud Cover                       | %            |
| mcc            | cloud\_area\_fraction\_at\_entire\_atmosphere\_medium\_type | Medium Cloud Cover                    | %            |
| hcc            | cloud\_area\_fraction\_at\_entire\_atmosphere\_high\_type   | High Cloud Cover                      | %            |
| tp             | precipitation\_amount\_sum\_1h                              | Total Precipitation                   | mm m⁻²       |
| ssrd           | surface\_downwelling\_shortwave\_flux\_sum\_1h              | Surface solar downward irradiance     | J m⁻²        |
| fdir           | surface\_direct\_downwelling\_shortwave\_flux\_sum\_1h      | Direct solar radiation at the surface | J m⁻²        |

### Additional Variables on Request

| Parameter Code | API Name                                    | Description                                                            | Units  |
| -------------- | ------------------------------------------- | ---------------------------------------------------------------------- | ------ |
| tcwv           | atmosphere\_mass\_content\_of\_water\_vapor | Total column vertically-integrated water vapour                        | kg m⁻² |
| t              | air\_temperature\_at\_pressure\_level       | Temperature at a specified pressure level                              | K      |
| u              | eastward\_wind\_at\_pressure\_level         | U component of wind                                                    | m s⁻¹  |
| v              | northward\_wind\_at\_pressure\_level        | V component of wind                                                    | m s⁻¹  |
| q              | specific\_humidity\_at\_pressure\_level     | The mass of water vapour per kilogram of moist air at a pressure level | kg     |
| z              | geopotential\_at\_pressure\_level           | The gravitational potential energy of a unit mass                      | m² s⁻² |

* Pressure levels: 5'000, 10'000, 15'000, 20'000, 25'000, 30'000, 40'000, 50'000, 60'000, 70'000, 85'000, 92'500, 100'000

## Hindcast Data

**Data Access:** Hindcasts are available via our [Python SDK](/python-sdk/getting-started.md) and [API](/api-v2/getting-started.md). For large requests, please contact <support@jua.ai>.

| **Model**       | **Temporal Extent**                                                         | **Forecast Horizon and Resolution**                                                                                    |
| --------------- | --------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| EPT-2           | <p>2023-01-01 - today</p><p>at 00, 06, 12, 18 UTC</p>                       | <p>480h</p><p>- From 1h to 240h: hourly</p><p>- From 240h to 480h: six-hourly</p>                                      |
| EPT-2e          | <p>2025-08-16 - today</p><p>at 00, 06, 12, 18 UTC</p>                       | <p>00 UTC: 1440h; 06, 12, 18 UTC: 480h</p><p>- From 1h to 240h: hourly</p><p>- From 240h to 480h/1440h: six-hourly</p> |
| EPT-2 RR        | <p>2024-01-01 04:00:00 - today</p><p>at 00-23 UTC (every hour)</p><p>\*</p> | 48h, hourly                                                                                                            |
| EPT-2 HRRR      | <p>2025-01-01 04:00:00 - today</p><p>at 00-23 UTC (every hour)</p><p>\*</p> | 48h, hourly                                                                                                            |
| EPT-2 Early     | <p>2025-09-01 - today</p><p>at 00, 06, 12, 18 UTC</p>                       | <p>480h</p><p>- From 1h to 240h: hourly</p><p>- From 240h to 480h: six-hourly</p>                                      |
| EPT-2 Reasoning | <p>2025-08-27 - today</p><p>at 00, 06, 12, 18 UTC</p>                       | <p>480h</p><p>- From 1h to 240h: hourly</p><p>- From 240h to 480h: six-hourly</p>                                      |

\* EPT-2 RR and EPT-2 HRRR have missing data on the 2025-10-20.

### Extended Hindcast Data (Special Request Only)

{% hint style="warning" %}
**Special Request Required**: The following extended hindcast data is available but requires special access permissions and is not accessible through standard API/SDK access. Please contact <support@jua.ai> to request access.
{% endhint %}

| **Model**   | **Extended Temporal Coverage**                                                      | **Forecast Horizon and Resolution**                                               |
| ----------- | ----------------------------------------------------------------------------------- | --------------------------------------------------------------------------------- |
| EPT-2 Early | <p>2024-03-01 - 2024-03-13, 2024-06-05 - 2024-12-31</p><p>at 00, 06, 12, 18 UTC</p> | <p>480h</p><p>- From 1h to 240h: hourly</p><p>- From 240h to 480h: six-hourly</p> |

## Performance Benchmarks

EPT-2 consistently outperforms other leading weather models, including:

* Microsoft Aurora
* DeepMind's GraphCast
* ECMWF's AIFS
* Our previous EPT-1.5 model

For more details on EPT-2 performance benchmarks, check out our [benchmarking analysis](https://jua.ai/products/benchmarks).

## Dissemination Times

For detailed dissemination times of the EPT-2 family please refer to the [Dissemination Times](/models-and-products/dissemination-times.md) page.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jua.ai/models-and-products/jua-models/ept-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
